Skip to Content
AccountingGeneral Ledger

Retrieve the General Ledger Report

GET
/v0/business/{business_id}/reports/general-ledger

Scopes: report:read

Authorization

OAuth2ClientCredentialsBearer report:read
headerAuthorizationBearer <token>

Scope: report:read

Path Parameters

business_id*Business Id

The ID of the Business

Formatbiz_string

Query Parameters

start_datetime*Start Datetime

The start date (inclusive) in ISO-8601 format.

Formatdate-time
end_datetime*End Datetime

The end of the period (exclusive) in ISO-8601 format. To include a whole day, pass midnight at the start of the next day, e.g. 2026-04-01T00:00:00Z for a period ending March 31.

Formatdate-time

Header Parameters

Accept?array<|string>|

The content type of the response

Response Body

Successful Response

  1. response
data*
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/general-ledger?start_datetime=2025-01-01T00%3A00%3A00Z&end_datetime=2026-01-01T00%3A00%3A00Z'
Example Response
{  "data": {    "ledgers": [      {        "ledger": {          "id": "ldg_WQMDNUHpBThYSNh4AprDBo",          "name": "Checking x1234",          "sort_code": "1010"        },        "lines": [          {            "date": "2025-01-01T00:00:00Z",            "journal_entry_id": "je_R2fAXCjqJPdpYata112zyW",            "memo": "string",            "split_ledgers": {              "id": "ldg_HQsDyGMGU12ZPHapTQUo8i",              "name": "Equipment expense"            },            "debit_credit": "credit",            "amount": 89.23,            "balance": 189.23          }        ]      }    ],    "data_truncated": true  }}